commit:     04e686cef9d34628717f181d56f0026485dccf4a
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sun Sep  1 20:11:36 2019 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sun Sep  1 20:43:10 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=04e686ce

net-libs/libktorrent: 2.1.1 version bump

Package-Manager: Portage-2.3.74, Repoman-2.3.17
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 net-libs/libktorrent/Manifest                 |  1 +
 net-libs/libktorrent/libktorrent-2.1.1.ebuild | 57 +++++++++++++++++++++++++++
 2 files changed, 58 insertions(+)

diff --git a/net-libs/libktorrent/Manifest b/net-libs/libktorrent/Manifest
index 86c553f1d84..a2410449275 100644
--- a/net-libs/libktorrent/Manifest
+++ b/net-libs/libktorrent/Manifest
@@ -1 +1,2 @@
+DIST libktorrent-2.1.1.tar.xz 357516 BLAKE2B 
8bcec166fa1d4f09b72c4f31c771d5316f7411da538b789b111b641c8ba551d9c88bd1d68d8ad96396e125bb6b16f9d4e2a42a6b2166b40572d730d692d3cf5d
 SHA512 
5c7f0218193cae148b03ae86a886b89d08a46200755728468ef271a6201add88eca617898d486d1823699def282d0251e26e3b28d2642f45cab966c286127d37
 DIST libktorrent-2.1.tar.xz 355476 BLAKE2B 
c86205174ac0526455cc9d2049cd918fa1127e85ca18422823f89c3714950d6e4f606dabbeca4d615a17fc18d8032ef0cf86aa4d80726116ea667d9f257e0ddc
 SHA512 
28d7a4b8ee45ddcbadb3ca9d6e568120803081b0ecd3e9436ed721860717b98538c522653ea47975123f0819548d0cabe1973baffed887fcbbca11d84ea5ebe4

diff --git a/net-libs/libktorrent/libktorrent-2.1.1.ebuild 
b/net-libs/libktorrent/libktorrent-2.1.1.ebuild
new file mode 100644
index 00000000000..b9e2994e0e4
--- /dev/null
+++ b/net-libs/libktorrent/libktorrent-2.1.1.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+KDE_TEST="forceoptional"
+VIRTUALX_REQUIRED="test"
+inherit kde5
+
+DESCRIPTION="BitTorrent library based on KDE Frameworks"
+HOMEPAGE="https://kde.org/applications/internet/ktorrent/";
+SRC_URI="mirror://kde/stable/ktorrent/5.1.2/${P}.tar.xz"
+
+LICENSE="GPL-2+"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE=""
+
+BDEPEND="sys-devel/gettext"
+COMMON_DEPEND="
+       $(add_frameworks_dep karchive)
+       $(add_frameworks_dep kconfig)
+       $(add_frameworks_dep kcoreaddons)
+       $(add_frameworks_dep kcrash)
+       $(add_frameworks_dep ki18n)
+       $(add_frameworks_dep kio)
+       $(add_frameworks_dep solid)
+       $(add_qt_dep qtnetwork)
+       $(add_qt_dep qtxml)
+       app-crypt/qca:2[qt5(+)]
+       >=dev-libs/gmp-6.0.0a:0=
+       dev-libs/libgcrypt:0=
+"
+DEPEND="${COMMON_DEPEND}
+       dev-libs/boost
+"
+RDEPEND="${COMMON_DEPEND}
+       !dev-libs/botan[gmp(-)]
+"
+
+src_prepare() {
+       kde5_src_prepare
+
+       # Gentoo workaround because gmp.h in MULTILIB_WRAPPED_HEADERS is 
breaking this
+       sed -i -e "/^find_package/ s/\"\${LibGMP_MIN_VERSION}\" //" \
+               CMakeLists.txt || die
+       sed -i -e "/^find_dependency/ s/ \"@LibGMP_MIN_VERSION@\"//" \
+               KF5TorrentConfig.cmake.in || die
+}
+
+src_test() {
+       # failing network tests
+       local myctestargs=(
+               -E "(fin|packetloss|send|transmit)"
+       )
+
+       kde5_src_test
+}

Reply via email to